package org.jaggregator.config;

/**
 * An instance of this class can count.
 *
 * @author <a href="mailto:jsz@jaggregator.de">Janek Schwarz</a>
 * @version $Revision: 1.1 $
 */
class SubscriptionCounter 
{
private int count = 0;
private static SubscriptionCounter instance;

public synchronized int getNext()
{
  return ++count;
}

public synchronized static SubscriptionCounter getInstance()
{
  if(instance == null)
    instance = new SubscriptionCounter();
  
  return instance;
}
}
