package org.jaggregator.generator;

import java.lang.Exception;
import org.apache.commons.lang.exception.NestableException;

/**
 * Signals an error during generation of the site.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version
 */
public class SiteGenerationException 
  extends NestableException 
{
public SiteGenerationException() 
{
  super();
}

public SiteGenerationException(String msg)
{
  super(msg);
}

public SiteGenerationException(Throwable cause)
{
  super(cause);
}

public SiteGenerationException(String msg, Throwable cause)
{
  super(msg, cause);
}
}
