package org.jaggregator.generator;

import java.net.URL;
import org.apache.commons.collections.Predicate;
import org.jaggregator.config.SubscriptionListDecl;

/**
 * SubscriptionListDeclByChannelUriPredicate.java
 *
 * @author <a href="mailto:jsz@jaggregator.de">Janek Schwarz</a>
 * @version $Revision: 1.1 $
 */
public class SubscriptionListDeclByChannelUriPredicate
 implements Predicate
{
private URL channelUri;

public SubscriptionListDeclByChannelUriPredicate(URL channelUri)
{
  this.channelUri = channelUri;
}

public boolean evaluate(Object object)
{
  SubscriptionListDecl decl = (SubscriptionListDecl) object;
  
  return decl.containsKey(channelUri);
}
}
