package org.jaggregator.rss;

/**
 * A Rss-Object holds a version and a channel. The RSS library
 * uses Objects of this class internally. It is public because
 * Digester, which is used for parsing RSS channels, requires it
 * to be public.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version
 */
public class Rss 
{
private Version version;
private Channel channel;

public Rss() 
{}

public void setVersion(Version version)
{
  this.version = version;
}

public Version getVersion()
{
  return version;
}

public void setChannel(Channel channel)
{
  this.channel = channel;
}

public Channel getChannel()
{
  return channel;
}
}
