package org.jaggregator.rss.convert;

import org.jaggregator.rss.CloudProtocol;
import org.jaggregator.rss.Converter;

/**
 * Converter that converts a <code>String</code> into a
 * <code>CloudProtocol</code> object.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version
 */
public class CloudProtocolConverter 
  implements Converter 
{
public Class getClazz()
{
  return CloudProtocol.class;
}

/**
 * Converts <code>object</code> into a <code>CloudProtocol</code>
 * instance iff object is a string representing a
 * skipday. Otherwise <code>null</code> is returned.
 */
public Object convert(Class clazz, Object object) 
{
  return CloudProtocol.getEnum((String) object);
}
}
