package org.jaggregator.rss.convert;

import org.apache.commons.beanutils.ConversionException;
import org.jaggregator.rss.Converter;
import org.jaggregator.rss.Version;

/**
 * Converts a String into a Version object if possible.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.4 $
 */
public class VersionConverter
  implements Converter
{
public Class getClazz()
{
  return Version.class;
}

public Object convert(Class type,
                      Object value)
  throws ConversionException
{
  Version version = Version.getEnum((String) value);

  if(version == null)
    throw new ConversionException("Unknown version: " + value);
  
  return version;
}
}
