package org.jaggregator.rss.modules;

import org.jaggregator.rss.Module;

/**
 * A RSS module that encapsules entity- or CDATA-encoded
 * content. For more information see
 * http://purl.org/rss/1.0/modules/content/
 *
 * @author <a href="mailto:jsz@jaggregator.de">Janek Schwarz</a>
 * @version
 */
public interface ContentModule
  extends Module 
{
String NAMESPACE = "http://purl.org/rss/1.0/modules/content/";

String getContent();
}
