package org.jaggregator.rss.rss_0_92;

import org.apache.commons.digester.AbstractObjectCreationFactory;
import org.jaggregator.rss.Category;
import org.jaggregator.rss.CategoryFactory;
import org.xml.sax.Attributes;

/**
 * Concrete Factory for <code>CategoryImpl_0_92</code> objects
 * conforming to RSS 0.92 specification.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.3 $
 */
public class CategoryFactory_0_92 
  extends AbstractObjectCreationFactory
  implements CategoryFactory
{
public Object createObject(Attributes attributes)
{
  return create();
}

public Category create()
{
  return new CategoryImpl_0_92();
}
}
