package org.jaggregator.rss.rss_0_92;

import java.net.URL;
import org.jaggregator.rss.Enclosure;

/**
 * Canonical implementation of the <code>Enclosure</code>
 * interface.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.3 $
 */
public class EnclosureImpl_0_92 
  implements Enclosure
{
private URL url;
private int length = -1;
private String mimeType;

public EnclosureImpl_0_92()
{}

public URL getUrl()
{
  return url;
}

public void setUrl(URL url)
{
  if(url == null)
    throw new IllegalArgumentException("url == null");
  
  this.url = url;
}

public int getLength()
{
  return length;
}

public void setLength(int length)
{
  if(length <= 0)
    throw new IllegalArgumentException("length <= 0");
  
  this.length = length;
}

public String getMimeType()
{
  return mimeType;
}

public void setMimeType(String mimeType)
{
  if(mimeType == null)
    throw new IllegalArgumentException("mimeType == null");
  
  this.mimeType = mimeType;
}
}
