package org.jaggregator.rss.rss_0_92;

import java.net.URL;
import java.util.Collection;
import org.jaggregator.rss.Categorizable;
import org.jaggregator.rss.Enclosure;
import org.jaggregator.rss.Item;
import org.jaggregator.rss.Source;

/**
 * Enhancements for an item in RSS 0.92.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.3 $
 */
public interface Item_0_92 
  extends Item, Categorizable
{
/**
 * Set the source.
 */
Source getSource();

/**
 * Get the source.
 */
void setSource(Source source);

/**
 * Test, whether this instance has a source.
 */
boolean hasSource();

/**
 * Set the enclosure.
 */
Enclosure getEnclosure();

/**
 * Get the enclosure.
 */
void setEnclosure(Enclosure enclosure);

/**
 * Test, whether this instance has an enclosure.
 */
boolean hasEnclosure();
}
