package org.jaggregator.rss.rss_0_92;

import java.net.MalformedURLException;
import java.net.URL;
import org.jaggregator.rss.Source;

/**
 * Canonical implementation of the <code>Source</code> interface.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.3 $
 */
public class SourceImpl_0_92
  implements Source 
{
private String name;
private URL url;

public SourceImpl_0_92() 
{}

public SourceImpl_0_92(String name,
                       URL url)
{
  this.name = name;
  this.url = url;
}

public String getName() 
{
  return name;
}

public void setName(String name)
{
  this.name = name;
}

public boolean hasName()
{
  return (name != null);
}

public URL getUrl() 
{
  return url;
}

public void setUrl(URL url)
{
  if(url == null)
    throw new IllegalArgumentException("url == null");
  
  this.url = url;
}

public boolean hasUrl()
{
  return (url != null);
}
}
