package org.jaggregator.rss.rss_1_00;

import org.jaggregator.rss.ConverterSet;
import org.jaggregator.rss.convert.UrlConverter;
import org.jaggregator.rss.convert.VersionConverter;
import org.jaggregator.rss.Converter;

/**
 * ConverterSet for parsing RSS 1.00.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.3 $
 */
public class ConverterSet_1_00
  implements ConverterSet
{
protected static final Converter[] CONVERTERS =
  new Converter[]
  {
    new UrlConverter(),
    new VersionConverter(),
  };

public Converter[] getConverters()
{
  return CONVERTERS;
}
}
