package org.jaggregator.rss.rss_1_00;

import java.util.Collection;
import org.jaggregator.rss.Module;
import org.jaggregator.rss.common.ExtensionSupport;
import org.jaggregator.rss.common.ItemImpl;

/**
 * Canonical implementation of the <code>Item_1_00</code>
 * interface.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.4 $
 */
public class ItemImpl_1_00
  extends ItemImpl
  implements Item_1_00
{
private String about;

private ExtensionSupport extensionSupport;

public ItemImpl_1_00()
{
  this.extensionSupport = new ExtensionSupport();
}

public String getAbout()
{
  return about;
}

public void setAbout(String about)
{
  this.about = about;
}

public Collection getModules()
{
  return extensionSupport.getModules();
}

public Module getModule(String namespace)
{
  return extensionSupport.getModule(namespace);
}

public void addModule(Module module)
{
  extensionSupport.addModule(module);
}

public boolean hasModule(String namespace)
{
  return extensionSupport.hasModule(namespace);
}
}
