package org.jaggregator.rss.rss_2_00;

import org.apache.commons.digester.AbstractObjectCreationFactory;
import org.jaggregator.rss.Channel;
import org.jaggregator.rss.ChannelFactory;
import org.xml.sax.Attributes;

/**
 * Concrete Factory for <code>ChannelImpl</code> objects
 * conforming to RSS 2.00 specification.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.3 $
 */
public class ChannelFactory_2_00
  extends AbstractObjectCreationFactory
  implements ChannelFactory
{
public Object createObject(Attributes attributes)
{
  return create();
}

public Channel create()
{
  return new ChannelImpl_2_00();
}
}
