package org.jaggregator.rss.rss_2_00;

import org.apache.commons.digester.AbstractObjectCreationFactory;
import org.jaggregator.rss.Item;
import org.jaggregator.rss.ItemFactory;
import org.xml.sax.Attributes;

/**
 * Concrete Factory for <code>ItemImpl_2_00</code> objects
 * conforming to RSS 0.92 specification.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.3 $
 */
public class ItemFactory_2_00 
  extends AbstractObjectCreationFactory
  implements ItemFactory
{
public Object createObject(Attributes attributes)
{
  return create();
}

public Item create()
{
  return new ItemImpl_2_00();
}
}
