package org.jaggregator.generator;

import java.util.Collection;
import org.jaggregator.generator.View;

/**
 * A View that is used inside an <code>AllListsInvoker</code>.
 *
 * @author <a href="mailto:jsz@jaggregator.de">Janek Schwarz</a>
 * @version $Revision: 1.1 $
 */
public interface AllListsView
  extends View 
{
/**
 * Set the collection of all subscriptions that will be processed
 * by this view.
 *
 * @param subscriptionsCol a <code>Collection</code> value
 */
void setSubscriptions(Collection subscriptionsCol);
}
