package org.jaggregator.rss.exporter;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Locale;
import java.util.TimeZone;

/**
 * Provides common variables and functions for the
 * <code>export</code> package.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.3 $
 */
public class Commons
{
public static final DateFormat DATE_FORMAT;

static
{
  DATE_FORMAT= new SimpleDateFormat("EEE, dd MMM yyyy HH:mm:ss z",
                                    Locale.US);
  DATE_FORMAT.setTimeZone(TimeZone.getTimeZone("GMT"));
}
}
