package org.jaggregator.rss.rss_0_90;

import org.apache.commons.digester.AbstractObjectCreationFactory;
import org.jaggregator.rss.Channel;
import org.jaggregator.rss.ChannelFactory;
import org.jaggregator.rss.common.ChannelImpl;
import org.xml.sax.Attributes;

/**
 * Concrete Factory for <code>ChannelImpl</code> objects
 * conforming to RSS 0.90 specification.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.1 $
 */
public class ChannelFactory_0_90
  extends AbstractObjectCreationFactory
  implements ChannelFactory
{
public Object createObject(Attributes attributes)
{
  return create();
}

public Channel create()
{
  return new ChannelImpl();
}
}
