package org.jaggregator.rss.rss_0_92;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.jaggregator.rss.Channel;
import org.jaggregator.rss.Cloud;
import org.jaggregator.rss.rss_0_91.ChannelImpl_0_91;

/**
 * Canonical implementation of the Channel_0_92 interface.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version
 */
public class ChannelImpl_0_92 
  extends ChannelImpl_0_91 
  implements Channel_0_92
{
private Cloud cloud;

public ChannelImpl_0_92()
{
  super();
}

public Cloud getCloud()
{
  return cloud;
}

public void setCloud(Cloud cloud)
{
  this.cloud = cloud;
}

public boolean hasCloud()
{
  return (cloud != null);
}

public boolean channelLevelEquals(Channel o)
{
  if(this == o)
    return true;
  
  if(o == null)
    return false;

  if(this.getClass() != o.getClass())
    return false;
  
  if(super.channelLevelEquals(o) == false)
    return false;
  
  ChannelImpl_0_92 rhs = (ChannelImpl_0_92) o;

  return new EqualsBuilder()
    .append(cloud, rhs.cloud)
    .isEquals();
}
}
