package org.jaggregator.rss.rss_0_92;

import org.jaggregator.rss.Channel;
import org.jaggregator.rss.Cloud;

/**
 * RSS 0.92 enhancements for a channel.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.3 $
 */
public interface Channel_0_92 
  extends Channel 
{
/**
 * Get the Cloud. A cloud specifies a Web service that supports
 * the rssCloud interface which can be implemented in HTTP-POST,
 * XML-RPC or SOAP 1.1.
 */
Cloud getCloud();

/**
 * Set the Cloud. A cloud specifies a Web service that supports
 * the rssCloud interface which can be implemented in HTTP-POST,
 * XML-RPC or SOAP 1.1.
 */
void setCloud(Cloud cloud);

boolean hasCloud();
}
