package org.jaggregator.rss.rss_0_92;

import org.jaggregator.rss.convert.CloudProtocolConverter;
import org.jaggregator.rss.rss_0_91.ConverterSet_0_91;
import org.jaggregator.rss.Converter;

/**
 * ConverterSet for parsing RSS 0.92.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version
 */
public class ConverterSet_0_92
  extends ConverterSet_0_91
{
protected static final Converter[] CONVERTERS;

static
{
  CONVERTERS = new Converter[ConverterSet_0_91.CONVERTERS.length + 1];

  int i = 0;
  for(i = 0; i < ConverterSet_0_91.CONVERTERS.length; i++)
    CONVERTERS[i] = ConverterSet_0_91.CONVERTERS[i];

  CONVERTERS[i++] = new CloudProtocolConverter();
}

public Converter[] getConverters()
{
  return CONVERTERS;
}
}
