package org.jaggregator.rss.rss_0_92;

import org.apache.commons.digester.AbstractObjectCreationFactory;
import org.jaggregator.rss.Enclosure;
import org.jaggregator.rss.EnclosureFactory;
import org.xml.sax.Attributes;

/**
 * Concrete Factory for <code>EnclosureImpl_0_92</code> objects
 * conforming to RSS 0.92 specification.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.3 $
 */
public class EnclosureFactory_0_92 
  extends AbstractObjectCreationFactory
  implements EnclosureFactory
{
public Object createObject(Attributes attributes)
{
  return create();
}

public Enclosure create()
{
  return new EnclosureImpl_0_92();
}
}
