package org.jaggregator.rss.rss_1_00;

import org.apache.commons.digester.AbstractObjectCreationFactory;
import org.jaggregator.rss.TextInputFactory;
import org.xml.sax.Attributes;
import org.jaggregator.rss.TextInput;

/**
 * Concrete Factory for <code>TextInputImpl</code> objects
 * conforming to RSS 1.00 specification.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.3 $
 */
public class TextInputFactory_1_00 
  extends AbstractObjectCreationFactory
  implements TextInputFactory
{
public Object createObject(Attributes attributes)
{
  return create();
}

public TextInput create()
{
  return new TextInputImpl_1_00();
}
}
