package org.jaggregator.rss.rss_2_00;

import org.apache.commons.digester.AbstractObjectCreationFactory;
import org.jaggregator.rss.Guid;
import org.jaggregator.rss.GuidFactory;
import org.xml.sax.Attributes;

/**
 * Concrete Factory for <code>GuidImpl_2_00</code> objects
 * conforming to RSS 0.92 specification.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.3 $
 */
public class GuidFactory_2_00 
  extends AbstractObjectCreationFactory
  implements GuidFactory
{
public Object createObject(Attributes attributes)
{
  return create();
}

public Guid create()
{
  return new GuidImpl_2_00();
}
}
