package org.jaggregator.rss.util;

import org.jaggregator.rss.RssException;

/**
 * Exception that is thrown when a failure happens during the
 * retrieval of channel data.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.3 $
 */
public class RetrieveException 
  extends RssException 
{
public RetrieveException() 
{
  super();
}

public RetrieveException(String msg)
{
  super(msg);
}

public RetrieveException(Throwable cause)
{
  super(cause);
}

public RetrieveException(String msg, Throwable cause)
{
  super(msg, cause);
}
}
