package org.jaggregator.rss.util;

import java.net.URL;
import junit.framework.TestCase;

/**
 * Unit Test for class TestUrlUtils.java
 *
 * @author <a href="mailto:jsz@jaggregator.de">Janek Schwarz</a>
 * @version $Revision: 1.1 $
 */
public class TestUrlUtils extends TestCase 
{
public TestUrlUtils (String name)
{
  super(name);
}

public void testToString1()
  throws Exception
{
  String actualValue = UrlUtils.toString(new URL("http://www.janek.org"));
  String expectedValue = "http://www.janek.org";
  
  assertEquals(expectedValue, actualValue);
}

public void testToString2()
  throws Exception
{
  String actualValue = UrlUtils.toString(new URL("http://www.JANEK.org"));
  String expectedValue = "http://www.janek.org";
  
  assertEquals(expectedValue, actualValue);
}

public void testToString3()
  throws Exception
{
  String actualValue = UrlUtils.toString(null);
  String expectedValue = null;
  
  assertEquals(expectedValue, actualValue);
}
}
